<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{E16ECF68-BE9B-4ABD-BC37-80271EA53CB4}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>InABox.Database</RootNamespace>
    <AssemblyName>InABox.Database</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.AppContext, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\..\Comal\packages\System.AppContext.4.3.0\lib\net46\System.AppContext.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.Core" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Aggregates.cs" />
    <Compile Include="DatabaseLicenseStore.cs" />
    <Compile Include="DbFactory.cs" />
    <Compile Include="DigitalFormStore.cs" />
    <Compile Include="DocumentStore.cs" />
    <Compile Include="IAggregate.cs" />
    <Compile Include="IProvider.cs" />
    <Compile Include="IStore.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ScriptStore.cs" />
    <Compile Include="Store.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\.editorconfig">
      <Link>.editorconfig</Link>
    </None>
    <None Include="app.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\InABox.Configuration\InABox.Configuration.csproj">
      <Project>{AED031C6-4D31-4778-A19F-9C930F810EB2}</Project>
      <Name>InABox.Configuration</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Core\InABox.Core.csproj">
      <Project>{A4AE18F1-1016-4119-8477-6A7ECC878A43}</Project>
      <Name>InABox.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\inabox.logging.shared\InABox.Logging.Shared.csproj">
      <Project>{702da50a-dc67-43ca-9124-fbc84e18cc21}</Project>
      <Name>InABox.Logging.Shared</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Reports.Common\InABox.Reports.Common.csproj">
      <Project>{26EDC095-ED1F-4F45-8782-21233CCA785E}</Project>
      <Name>InABox.Reports.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj">
      <Project>{13917bb3-4a32-49c8-80c5-2df34a0cbbc7}</Project>
      <Name>InABox.Scripting</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json">
      <Version>13.0.1</Version>
    </PackageReference>
    <PackageReference Include="System.Collections.Immutable">
      <Version>6.0.0</Version>
    </PackageReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>